<?php /** * Copyright © Magento, Inc. All rights reserved. * See COPYING.txt for license details. */ /** * @var \Magento\Theme\Block\Html\Header $block */ $welcomeMessage = $block->getWelcome(); ?> <?php switch ($block->getShowPart()): case 'welcome': ?> <div class="greet welcome" data-bind="scope: 'customer'"><!-- ko if: customer().fullname --><span data-bind="text: new String('<?= $block->escapeHtml(__('Welcome, %1!', '%1')) ?>').replace('%1', customer().firstname)"></span> <!-- /ko --><!-- ko ifnot: customer().fullname --><span data-bind='html:"<?= $block->escapeHtmlAttr($welcomeMessage) ?>"'></span> <?= $block->getBlockHtml('header.additional') ?> <!-- /ko --></div><script type="text/x-magento-init">
        {
            "*": {
                "Magento_Ui/js/core/app": {
                    "components": {
                        "customer": {
                            "component": "Magento_Customer/js/view/customer"
                        }
                    }
                }
            }
        }</script><?php break; ?> <?php case 'other': ?> <?= $block->getChildHtml() ?> <?php break; ?> <?php endswitch; ?>